/**
* DevExtreme (renovation/preact-wrapper/button.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/* eslint-disable no-underscore-dangle */
import Component from './component';

/** Warning! This type is used for internal purposes. Do not import it directly. */
export default class Button extends Component {
  getAllProps(isFirstRender: boolean): any;

  _init(): any;

  _getSubmitAction(): any;

  _findGroup(): any;
}
/* eslint-enable no-underscore-dangle */
